Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP_CodecC.h File Reference

`#include "tao/ORB.h"`
`#include "TAO_Export.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for IOP_CodecC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IOP
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _IOP_CODEC__VAR_OUT_CH_
#define | _IOP_CODEC_CH_
#define | _IOP_CODEC_INVALIDTYPEFORENCODING_CH_
#define | _IOP_CODEC_FORMATMISMATCH_CH_
#define | _IOP_CODEC_TYPEMISMATCH_CH_
#define | _IOP_CODECFACTORY__VAR_OUT_CH_
#define | _IOP_CODECFACTORY_CH_
#define | _IOP_CODECFACTORY_UNKNOWNENCODING_CH_
#define | _IOP_CODEC__TRAITS_CH_
#define | _IOP_CODECFACTORY__TRAITS_CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IOP::Encoding &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IOP::Encoding &)

## Define Documentation

#define _IOP_CODEC__TRAITS_CH_

#define _IOP_CODEC__VAR_OUT_CH_

#define _IOP_CODEC_CH_

#define _IOP_CODEC_FORMATMISMATCH_CH_

#define _IOP_CODEC_INVALIDTYPEFORENCODING_CH_

#define _IOP_CODEC_TYPEMISMATCH_CH_

#define _IOP_CODECFACTORY__TRAITS_CH_

#define _IOP_CODECFACTORY__VAR_OUT_CH_

#define _IOP_CODECFACTORY_CH_

#define _IOP_CODECFACTORY_UNKNOWNENCODING_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const IOP::Encoding & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IOP::Encoding & |
| ) |